---
title: "Accept Payee Account Details"
url: "https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2/operations/acceptPayeeAccountDetails"
---

> Full API specification: https://developer.pexa.co.uk/apis/financials-v1-v1/versions/d3f169b2-8b77-47f6-8696-d6efa1bd09f2.md

# Accept Payee Account Details

`POST` `/partner/api/platformconnect/v1/financial-settlement-schedule/{financialSettlementScheduleId}/line-items/{lineItemId}/accept-payee-account-details`

Operation ID: `acceptPayeeAccountDetails`

This API allows integrators to manually accept/override CoP (Confirmation of Payee) verification results for a destination line item. Line items with any of the following `partnerReasonCode` values are not supported and cannot be accepted/overridden: - `AC01`: Incorrect account number - `ANNM`: Account name does not match (full mismatch) - `SCNS`: Sort code not supported - `NO_BANKCODE_FOUND_FOR_SORTCODE` (Error 400) - `NO_FPSEISCD_ENTRY_FOUND_FOR_SORTCODE` (Error 422)

## Path parameters

- `financialSettlementScheduleId` (string, uuid, required) - Unique identifier of the Financial Settlement Schedule
- `lineItemId` (string, uuid, required) - Unique identifier of the Line Item

## Header parameters

- `X-Request-Correlation-Id` (string, optional)

## Responses

- `200` - OK
- `400` - BAD REQUEST
- `401` - UNAUTHORIZED
- `403` - FORBIDDEN
- `404` - NOT FOUND
- `500` - INTERNAL SERVER ERROR
- `501` - NOT IMPLEMENTED
- `503` - SERVICE UNAVAILABLE

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Financial
  version: v1
servers:
  - url: https://api.pexa.co.uk
    description: API Gateway URL
paths:
  /partner/api/platformconnect/v1/financial-settlement-schedule/{financialSettlementScheduleId}/line-items/{lineItemId}/accept-payee-account-details:
    post:
      tags:
        - Settlement
      summary: Accept Payee Account Details
      description: >
        This API allows integrators to manually accept/override CoP
        (Confirmation of Payee) verification results for a destination line
        item.


        Line items with any of the following `partnerReasonCode` values are not
        supported and cannot be accepted/overridden:
          - `AC01`: Incorrect account number
          - `ANNM`: Account name does not match (full mismatch)
          - `SCNS`: Sort code not supported
          - `NO_BANKCODE_FOUND_FOR_SORTCODE` (Error 400)
          - `NO_FPSEISCD_ENTRY_FOUND_FOR_SORTCODE` (Error 422)
      operationId: acceptPayeeAccountDetails
      security:
        - oauth2:
            - x-api:accept:payee_account_details
            - edit:fss_line_items
      parameters:
        - in: header
          name: X-Request-Correlation-Id
          schema:
            type: string
            description: The unique identifier for the request
        - name: financialSettlementScheduleId
          in: path
          required: true
          description: Unique identifier of the Financial Settlement Schedule
          schema:
            type: string
            format: uuid
        - name: lineItemId
          in: path
          required: true
          description: Unique identifier of the Line Item
          schema:
            type: string
            format: uuid
      responses:
        "200":
          description: OK
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      lineItemId:
                        type: string
                        description: UUID of the corresponding line item
                        format: uuid
                        example: c7c0ee40-25c1-11ec-9621-0242ac130002
                      type:
                        type: string
                        pattern: ^(SOURCE|DESTINATION)$
                        example: SOURCE
                        description: |
                          Allowed values:
                           [`SOURCE`, `DESTINATION`]
                      amount:
                        type: number
                        minimum: 1
                        maximum: 999999999999.99
                        description: Amount to be credited / debited
                        example: 10
                      authorised:
                        type: boolean
                        example: true
                        nullable: true
                        description: Authorisation status of the line item
                      reference:
                        type: string
                        minLength: 1
                        maxLength: 18
                        pattern: ^[a-zA-Z0-9\/\-\\?:().,'#=!"%&*<>;@{+\s]*$
                        example: Nation wide
                      category:
                        type: string
                        description: >
                          Allowed values for source line item:
                           [`Mortgage Advance`]
                          <br> Allowed values for destination line item:
                           [`Redemption`, `Conveyancing Fees`, `Surplus`, `Onward Funds`]
                      lineItemReference:
                        type: string
                        example: PEXA220000003D01
                      bankAccount:
                        type: object
                        nullable: true
                        description: This field is required and can be updated only for type
                          DESTINATION.
                        properties:
                          accountName:
                            type: string
                            maxLength: 35
                            minLength: 1
                            pattern: ^[a-zA-Z0-9\/\-\\?:().,'#=!"%&*<>;@{+\s]*$
                            example: Bob Smith
                          accountNumber:
                            type: string
                            pattern: ^\d{8}$
                            example: "12345678"
                          bankCode:
                            type: string
                            pattern: ^\d{6}$
                            example: "123456"
                          accountType:
                            type: string
                            pattern: ^(BUSINESS|PERSONAL)$
                            example: BUSINESS
                            description: |
                              Allowed Values: [`BUSINESS`, `PERSONAL`]
                          displayName:
                            type: string
                            nullable: true
                            maxLength: 35
                            pattern: ^[0-9a-zA-Z/\-\?:\(\)\.,'\+ !#$%&\*=^_`\{\|\}~";<>@\[\\\]]+$
                            example: Mortgage account
                        required:
                          - accountName
                          - accountNumber
                          - bankCode
                      verificationDetail:
                        type: object
                        nullable: true
                        properties:
                          status:
                            type: string
                            pattern: ^(MATCH|NAME_PARTIAL_MATCH|NAME_PARTIAL_MATCH_TYPE_NO_MATCH|NO_MATCH|UNABLE_TO_MATCH|ERROR|TIMEOUT|TYPE_NO_MATCH|ACCOUNT_VERIFICATION_NOT_RUN)$
                            example: NAME_PARTIAL_MATCH
                            description: >
                              status of account verification Allowed Values: [
                              `MATCH`, `NAME_PARTIAL_MATCH`,
                              `NAME_PARTIAL_MATCH_TYPE_NO_MATCH`, `NO_MATCH`,
                              `UNABLE_TO_MATCH`, `ERROR`, `TIMEOUT`,
                              `TYPE_NO_MATCH`, `ACCOUNT_VERIFICATION_NOT_RUN` ]
                          partnerReasonCode:
                            type: string
                            nullable: true
                            description: >
                              Reason code sent from third party system for
                              account verification.


                              | Code
                              |                Description                   |

                              | -------|----------------------------------|

                              | ANNM | Account Name does Not Match |

                              | MBAM | There may be a match on the Account name
                              |

                              | BANM | Business account, name matches |

                              | PANM | Personal account, name matches |

                              | BAMM | Business account, name may be a match |

                              | PAMM | Personal account, name may be a match |

                              | AC01 | Incorrect Account Number |

                              | IVCR | Invalid Customer Reference |

                              | ACNS | Account type Not Supported for CoP |

                              | OPTO | Opted out of CoP Scheme |

                              | CASS | Account has been switched |

                              | SCNS | Sort code not supported at endpoint |
                          verified:
                            type: boolean
                            description: denotes in the account details are verified
                          acceptedAt:
                            type: string
                            nullable: true
                            format: date-time
                            description: timestamp recorded when the consent was given for the account
                          acceptedBy:
                            type: string
                            nullable: true
                            description: id of the user who gave the consent for the account
                          actualName:
                            type: string
                            nullable: true
                            description: Actual name of given account received from CoP in case of partial
                              match
                          isManualOverrideAllowed:
                            type: boolean
                            description: Flag to indicate if manual override is allowed
                      hasLinkedAccount:
                        type: boolean
                        nullable: true
                        description: Flag to indicate whether account is a linked account
                  errors:
                    default: []
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                data:
                  lineItemId: c7c0ee40-25c1-11ec-9621-0242ac130002
                  type: DESTINATION
                  amount: 10000
                  authorised: false
                  reference: Payment ref
                  category: Redemption
                  lineItemReference: PEXA220000003D01
                  bankAccount:
                    sortCode: "123456"
                    accountNumber: "12345678"
                    accountName: John Doe
                  verificationDetail:
                    status: NAME_PARTIAL_MATCH
                    verified: true
                    isManualOverrideAllowed: true
                    acceptedAt: 2026-05-08T10:30:00Z
                    acceptedBy: INTEGRATOR:59a02f78-79c2-49ff-b27f-5606b4cda762
                    actualName: J Doe
                  hasLinkedAccount: false
                errors: []
        "400":
          description: BAD REQUEST
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - field: lineItemId
                    message: lineItemId is not in UUID format
        "401":
          description: UNAUTHORIZED
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Unauthorized
        "403":
          description: FORBIDDEN
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Forbidden
        "404":
          description: NOT FOUND
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: "Resource not found for: line item id"
        "500":
          description: INTERNAL SERVER ERROR
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Internal Server Error
        "501":
          description: NOT IMPLEMENTED
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
        "503":
          description: SERVICE UNAVAILABLE
          headers:
            X-API-Version:
              schema:
                type: string
                description: The API version that was used to process the request.
            X-Request-Correlation-Id:
              schema:
                type: string
                description: The unique identifier for the request
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                          description: Field
                        message:
                          type: string
                          description: Error message
              example:
                errors:
                  - message: Service under maintenance
security:
  - oauth2:
      - x-api:accept:payee_account_details
      - edit:fss_line_items
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://login.pexauk.co.uk/oauth/token
          scopes:
            x-api:accept:payee_account_details: Permission to accept payee account details (CoP override)
            x-api:authorise:funds: Permission to authorise funds for a workspace
            x-api:approve:financial_settlement_schedules: Permission to approve financial settlement schedules
            x-api:unapprove:financial_settlement_schedules: Permission to unapprove financial settlement schedules
            add:fss_line_items: Permission to add financial settlement schedule line items
            delete:fss_line_items: Permission to delete financial settlement schedule line items
            view:financial_settlement_schedules: Permission to view financial settlement schedules
            edit:financial_settlement_schedules: Permission to edit financial settlement schedules
            edit:fss_line_items: Permission to edit financial settlement schedule line items
            authorise:funds: Permission to authorise funds for a workspace
            approve:financial_settlement_schedules: Permission to approve financial settlement schedules
            unapprove:financial_settlement_schedules: Permission to unapprove financial settlement schedules
```
